Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst.confidence
Class ConfidenceEvaluator.EntityConfidence

    java.lang.Object
      cc.mallet.fst.confidence.ConfidenceEvaluator.EntityConfidence

Enclosing class:
  ConfidenceEvaluator

    public static class ConfidenceEvaluator.EntityConfidence

extends java.lang.Object

a simple class to store a confidence score and whether or not this labeling is correct

Constructor Summary
`ConfidenceEvaluator.EntityConfidence(double conf, boolean corr, Sequence input, int start, int end)`
`ConfidenceEvaluator.EntityConfidence(double conf, boolean corr, java.lang.String text)`

Method Summary
`double` | `confidence()`
`boolean` | `correct()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfidenceEvaluator.EntityConfidence

    public ConfidenceEvaluator.EntityConfidence(double conf,
                                                boolean corr,
                                                java.lang.String text)

### ConfidenceEvaluator.EntityConfidence

    public ConfidenceEvaluator.EntityConfidence(double conf,
                                                boolean corr,
                                                Sequence input,
                                                int start,
                                                int end)

Method Detail

### confidence

    public double confidence()

### correct

    public boolean correct()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD